Bug 20706 - Fix links to help files for changed file structure (removed numbering on files)
Summary: Fix links to help files for changed file structure (removed numbering on files)
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Katrin Fischer
QA Contact: Nick Clemens
URL:
Whiteboard:
Keywords: rel_18_05_candidate
Depends on:
Blocks: 19817
  Show dependency treegraph
 
Reported: 2018-05-03 19:51 UTC by Katrin Fischer
Modified: 2018-05-16 18:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20706: Fixes the links to the manual to reflect changed chapter file names (188.71 KB, patch)
2018-05-03 21:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20706: Adds en language code to the links to the manual (188.73 KB, patch)
2018-05-10 17:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20706: Fix bad HTML link to help file. (1.36 KB, patch)
2018-05-15 03:10 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20706: Add a help URL validator test (8.46 KB, patch)
2018-05-15 03:10 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20706: Fix bad HTML link to help file (1.41 KB, patch)
2018-05-15 09:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20706: Add a help URL validator test (3.94 KB, patch)
2018-05-15 15:37 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20706: Add a help URL validator test (4.20 KB, patch)
2018-05-15 17:37 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20706: Fixes the links to the manual to reflect changed chapter file names (188.76 KB, patch)
2018-05-15 17:42 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20706: Adds en language code to the links to the manual (190.27 KB, patch)
2018-05-15 17:42 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20706: Fix bad HTML link to help file (1.41 KB, patch)
2018-05-15 17:42 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20706: Add a help URL validator test (4.26 KB, patch)
2018-05-15 17:42 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20706: Fixes the links to the manual to reflect chanced chapter file names (187.71 KB, patch)
2018-05-16 10:11 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20706: Adds en language code to the links to the manual (189.21 KB, patch)
2018-05-16 10:11 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20706: Fix bad HTML link to help file (1.46 KB, patch)
2018-05-16 10:11 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20706: Add a help URL validator test (4.30 KB, patch)
2018-05-16 10:11 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-05-03 19:51:54 UTC
With some clean-up done on the manual, we need to make sure the links to the manual still work alright:

- remove the number part
- check for links to systempreferences in help (now in their own chapter)
Comment 1 Katrin Fischer 2018-05-03 21:31:06 UTC
Created attachment 75041 [details] [review]
Bug 20706: Fixes the links to the manual to reflect changed chapter file names

The numbering in front of the chapter file names has been removed,
so the links need to be adapted accordingly.

Note:
Testing this in master currently won't work for 2 reasons:
- We are still using 17.11 as version variable, will be 18.05 later.
- We are missing the lanugage code before /html and this leads
  to an outdated version of the 18.05 manual.
Comment 3 Katrin Fischer 2018-05-03 21:49:11 UTC
Link from Koha (bad link):
https://koha-community.org/manual/18.05/html/systempreferences.html#automaticitemreturn

Link with language code to updated manual (good link):
https://koha-community.org/manual/18.05/en/html/systempreferences.html#automaticitemreturn
Comment 4 Katrin Fischer 2018-05-10 17:06:12 UTC
Created attachment 75235 [details] [review]
Bug 20706: Adds en language code to the links to the manual

As we don't have a fix yet to link to the right translated manual,
this adds /en to the links from the help files to the manual to
make them work again.

Check with both patches applied, that the links work.
You will have to change 17.11 to 18.05.
Comment 5 M. Tompsett 2018-05-15 02:49:55 UTC
Comment on attachment 75041 [details] [review]
Bug 20706: Fixes the links to the manual to reflect changed chapter file names

Review of attachment 75041 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/intranet-tmpl/prog/en/modules/help/offline_circ/process_koc.tt
@@ +16,4 @@
>  
>  <p>You can also tend to pending circulation actions by going to Circulation > Pending offline circulation actions.</p>
>  
> +<p><strong>See the full documentation for Uploading the Offline Circulation File in the <a http://koha-community.org/manual/[% helpVersion %]/html/circulation.html#upload-offline-circ-file">manual</a> (online).</strong></p>

Please correct this HTML. It should be href="..."
Comment 6 M. Tompsett 2018-05-15 02:51:16 UTC
I wrote a test to scrape through all the modified pages' help. However, it discovered some bad HTML. Marking Failed QA for comment #5's issue.
Comment 7 M. Tompsett 2018-05-15 03:10:16 UTC
Created attachment 75322 [details] [review]
Bug 20706: Fix bad HTML link to help file.

Before there is no href.
After there is.
Comment 8 M. Tompsett 2018-05-15 03:10:18 UTC
Created attachment 75323 [details] [review]
Bug 20706: Add a help URL validator test

TEST PLAN
----------
1) apply patch
2) kshell
3) prove t/db_dependent/www/help.t
   -- Add tests should pass
Comment 9 Katrin Fischer 2018-05-15 08:52:29 UTC
Just noting - the problem found was not caused by this patch and could have gone on a separate report.
Comment 10 Katrin Fischer 2018-05-15 08:55:08 UTC
I think the validator test should be discussed separately - I am not sure a list of files is the way to go as it will fall out of date pretty fast.
Comment 11 Katrin Fischer 2018-05-15 09:02:00 UTC
Created attachment 75324 [details] [review]
Bug 20706: Fix bad HTML link to help file

Before there is no href.
After there is.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2018-05-15 09:02:58 UTC
Please don't delay this any longer or we will have a release with broken help file links.
Comment 13 M. Tompsett 2018-05-15 11:02:04 UTC
(In reply to Katrin Fischer from comment #12)
> Please don't delay this any longer or we will have a release with broken
> help file links.

This isn't an enhancement, but a rather serious fix. Tweaking to critical. I'll sign off in a few hours, if it still isn't signed off.

As for a list, a hard coded list will go out of date quickly, I'll see about building the equivalent list on the fly. But this test, even if not signed off, does trigger all the changes made in your two initial patches.
Comment 14 M. Tompsett 2018-05-15 15:37:36 UTC
Created attachment 75337 [details] [review]
Bug 20706: Add a help URL validator test

TEST PLAN
----------
1) apply patch
2) kshell
3) prove t/db_dependent/www/help.t
   -- Add tests should pass
Comment 15 M. Tompsett 2018-05-15 15:41:51 UTC
Comment on attachment 75337 [details] [review]
Bug 20706: Add a help URL validator test

Currently revised version is broken, but I don't want to prevent anyone else from signing off.
Comment 16 M. Tompsett 2018-05-15 17:37:00 UTC
Created attachment 75342 [details] [review]
Bug 20706: Add a help URL validator test

TEST PLAN
----------
1) apply patch
2) kshell
3) prove t/db_dependent/www/help.t
   -- Add tests should pass
Comment 17 M. Tompsett 2018-05-15 17:42:08 UTC
Created attachment 75343 [details] [review]
Bug 20706: Fixes the links to the manual to reflect changed chapter file names

The numbering in front of the chapter file names has been removed,
so the links need to be adapted accordingly.

Note:
Testing this in master currently won't work for 2 reasons:
- We are still using 17.11 as version variable, will be 18.05 later.
- We are missing the lanugage code before /html and this leads
  to an outdated version of the 18.05 manual.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 18 M. Tompsett 2018-05-15 17:42:14 UTC
Created attachment 75344 [details] [review]
Bug 20706: Adds en language code to the links to the manual

As we don't have a fix yet to link to the right translated manual,
this adds /en to the links from the help files to the manual to
make them work again.

Check with both patches applied, that the links work.
You will have to change 17.11 to 18.05.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 19 M. Tompsett 2018-05-15 17:42:17 UTC
Created attachment 75345 [details] [review]
Bug 20706: Fix bad HTML link to help file

Before there is no href.
After there is.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 20 M. Tompsett 2018-05-15 17:42:19 UTC
Created attachment 75346 [details] [review]
Bug 20706: Add a help URL validator test

TEST PLAN
----------
1) apply patch
2) kshell
3) prove t/db_dependent/www/help.t
   -- Add tests should pass

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 21 Nick Clemens 2018-05-16 10:11:26 UTC
Created attachment 75357 [details] [review]
Bug 20706: Fixes the links to the manual to reflect chanced chapter file names

The numbering in front of the chapter file names has been removed,
so the links need to be adapted accordingly.

Note:
Testing this in master currently won't work for 2 reasons:
- We are still using 17.11 as version variable, will be 18.05 later.
- We are missing the lanugage code before /html and this leads
  to an outdated version of the 18.05 manual.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 22 Nick Clemens 2018-05-16 10:11:30 UTC
Created attachment 75358 [details] [review]
Bug 20706: Adds en language code to the links to the manual

As we don't have a fix yet to link to the right translated manual,
this adds /en to the links from the help files to the manual to
make them work again.

Check with both patches applied, that the links work.
You will have to change 17.11 to 18.05.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 23 Nick Clemens 2018-05-16 10:11:32 UTC
Created attachment 75359 [details] [review]
Bug 20706: Fix bad HTML link to help file

Before there is no href.
After there is.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 24 Nick Clemens 2018-05-16 10:11:35 UTC
Created attachment 75360 [details] [review]
Bug 20706: Add a help URL validator test

TEST PLAN
----------
1) apply patch
2) kshell
3) prove t/db_dependent/www/help.t
   -- Add tests should pass

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 25 Jonathan Druart 2018-05-16 14:44:37 UTC
Comment on attachment 75360 [details] [review]
Bug 20706: Add a help URL validator test

These tests will slow down the test suite a lot and will conflict with bug 19817.
Moreover the version is hardcoded.

I do not think it makes sense to have it in the codebase.
Comment 26 Jonathan Druart 2018-05-16 14:48:46 UTC
(In reply to Jonathan Druart from comment #25)
> Comment on attachment 75360 [details] [review] [review]
> Bug 20706: Add a help URL validator test
> 
> These tests will slow down the test suite a lot

6min.
Comment 27 Jonathan Druart 2018-05-16 15:28:20 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 28 M. Tompsett 2018-05-16 18:16:55 UTC
(In reply to Jonathan Druart from comment #25)
> Comment on attachment 75360 [details] [review] [review]
> Bug 20706: Add a help URL validator test
> 
> These tests will slow down the test suite a lot

That is a valid reason to not push.


> and will conflict with bug 19817.

Okay. But conflicts can be resolved. But yes, I suppose it would become pointless if 19817 gets pushed through.


> Moreover the version is hardcoded.

No, the version isn't hard coded. The initial version is substituted.


> I do not think it makes sense to have it in the codebase.

Okay, but it certainly made testing easier. :)